# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
Name:           scout
Version:        0.4
Release:        alt1_11
Summary:        CLI interface to Tomboy notes and Gnote

Group:          Text tools
License:        BSD
URL:            http://github.com/lelutin/%{name}

# A stable link is here, redirects to Source0:     http://github.com/lelutin/%%{name}/tarball/v%%{version}
# I can't use it as source since source needs the name of the tar in it. 

Source0:        http://download.github.com/lelutin-%{name}-v%{version}-0-ga2ae61f.tar.gz
BuildArch:      noarch    

BuildRequires:  python-devel python-module-setuptools
Source44: import.info

%description
Scout is an interface to Tomboy notes or Gnote that uses DBus to 
communicate. It presents a command-line interface and tries to be
as simple to use as possible. Different actions can be taken to 
interact with Tomboy or Gnote. Actions are simple to create, 
making the application easily extensible.

Current actions make it possible to list note names, 
display note contents, search for text inside notes and to 
delete notes.

%prep
%setup -q -n lelutin-%{name}-3b6fe1a


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%files
%doc LICENSE
%{_bindir}/%{name}

%dir %{python_sitelibdir_noarch}/%{name}
%{python_sitelibdir_noarch}/%{name}/*.py
%{python_sitelibdir_noarch}/%{name}/*.pyc
%{python_sitelibdir_noarch}/%{name}/*.pyo

%dir %{python_sitelibdir_noarch}/%{name}/actions
%{python_sitelibdir_noarch}/%{name}/actions/*.py
%{python_sitelibdir_noarch}/%{name}/actions/*.pyc
%{python_sitelibdir_noarch}/%{name}/actions/*.pyo

%dir %{python_sitelibdir_noarch}/scout-*-py?.?.egg-info
%{python_sitelibdir_noarch}/scout-*-py?.?.egg-info/*

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_11
- initial fc import

